Bug 170067 - [PATCH] fix devel/dev86 build with clang
Summary: [PATCH] fix devel/dev86 build with clang
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Niclas Zeising
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-07-22 14:40 UTC by Niclas Zeising
Modified: 2012-07-29 13:50 UTC (History)
0 users

See Also:


Attachments
ports.devel.dev86.clangfix.diff (921 bytes, patch)
2012-07-22 14:40 UTC, Niclas Zeising
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Niclas Zeising 2012-07-22 14:40:04 UTC
	devel/dev86 does not build with clang.

Fix: Attached patch fixes the build.
Comment 1 Edwin Groothuis freebsd_committer 2012-07-22 14:44:41 UTC
Responsible Changed
From-To: freebsd-ports-bugs->eadler

eadler@ wants his PRs (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2012-07-22 14:44:42 UTC
Maintainer of devel/dev86,

Please note that PR ports/170067 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/170067

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2012-07-22 14:44:44 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 Eitan Adler freebsd_committer freebsd_triage 2012-07-22 16:16:41 UTC
Responsible Changed
From-To: eadler->zeising

Punt to you
Comment 5 Philip Schulz 2012-07-28 17:28:59 UTC
Hi,

 I think the patch looks good, but I'm currently unable to test this. =
I'd say if it builds, go for it ;-)

Am 22.07.2012 um 15:44 schrieb Edwin Groothuis:

> Maintainer of devel/dev86,
>=20
> Please note that PR ports/170067 has just been submitted.
>=20
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
>=20
> The full text of the PR can be found at:
>    http://www.freebsd.org/cgi/query-pr.cgi?pr=3Dports/170067
>=20
> --=20
> Edwin Groothuis via the GNATS Auto Assign Tool
> edwin@FreeBSD.org
Comment 6 dfilter service freebsd_committer 2012-07-29 13:42:59 UTC
Author: zeising
Date: Sun Jul 29 12:42:43 2012
New Revision: 301685
URL: http://svn.freebsd.org/changeset/ports/301685

Log:
  Fix build with clang
  
  PR:		ports/170067
  Submitted by:	me
  Approved by:	maintainer, kwm (mentor)

Added:
  head/devel/dev86/files/patch-unproto__tok_io.c   (contents, props changed)

Added: head/devel/dev86/files/patch-unproto__tok_io.c
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/dev86/files/patch-unproto__tok_io.c	Sun Jul 29 12:42:43 2012	(r301685)
@@ -0,0 +1,11 @@
+--- unproto/tok_io.c.orig	2012-07-22 15:06:47.000000000 +0200
++++ unproto/tok_io.c	2012-07-22 15:08:08.000000000 +0200
+@@ -189,7 +189,7 @@
+ 
+ /* do_control - parse control line */
+ 
+-static int do_control()
++static void do_control()
+ {
+     struct token *t;
+     int     line;
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 7 Niclas Zeising freebsd_committer 2012-07-29 13:44:59 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!